lev.gui

## Class LButton

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - lev.gui.LComponent
      - - lev.gui.LHelpComponent
        - - lev.gui.LButton

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

      public class LButton
      extends LHelpComponent

  A customized JButton used by Leviathan in GUIs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class lev.gui.LHelpComponent

      `LHelpComponent.HelpActionHandler, LHelpComponent.HelpFocusHandler, LHelpComponent.HelpMouseHandler`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JButton` | `button`

    - ### Fields inherited from class lev.gui.LHelpComponent

      `followPos, help, helpPrefix, helpYoffset, save, saveTie, title`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LButton(java.lang.String title)`
    `LButton(java.lang.String title, java.awt.Dimension size)`
    `LButton(java.lang.String title, java.awt.Dimension size, java.awt.Point location)`
    `LButton(java.lang.String title, int x, int y)`
    `LButton(java.lang.String title, java.awt.Point location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(java.awt.event.ActionListener l)`
    `void` | `addFocusListener(java.awt.event.FocusListener l)`
    `protected void` | `addHelpHandler(boolean hoverListener)` Adds a help handler to each GUI component that should trigger the help panel to update.
    `void` | `addMouseListener(java.awt.event.MouseListener arg0)`
    `void` | `clearActionHandlers()`
    `javax.swing.JButton` | `getSource()`
    `java.lang.String` | `getText()`
    `boolean` | `requestFocusInWindow()`
    `void` | `setActionCommand(java.lang.String s)`
    `void` | `setFocusable(boolean focusable)`
    `void` | `setSize(java.awt.Dimension size)`
    `void` | `setSize(int x, int y)`
    `void` | `setText(java.lang.String in)`

    - ### Methods inherited from class lev.gui.LHelpComponent

      `addHelpPrefix, getHelp, hasHelp, isFollowingPosition, linkTo, setFollowPosition, updateHelp`

    - ### Methods inherited from class lev.gui.LComponent

      `Add, centerIn, centerOn, centerOn, getBottom, getCenter, getRight, putUnder`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### button

          protected javax.swing.JButton button

  - ### Constructor Detail

    - #### LButton

          public LButton(java.lang.String title)

      Parameters:
        `title` -

    - #### LButton

          public LButton(java.lang.String title,
                 java.awt.Dimension size)

      Parameters:
        `title` -
        `size` -

    - #### LButton

          public LButton(java.lang.String title,
                 int x,
                 int y)

      Parameters:
        `title` -
        `x` -
        `y` -

    - #### LButton

          public LButton(java.lang.String title,
                 java.awt.Dimension size,
                 java.awt.Point location)

      Parameters:
        `title` -
        `size` -
        `location` -

    - #### LButton

          public LButton(java.lang.String title,
                 java.awt.Point location)

      Parameters:
        `title` -
        `location` -

  - ### Method Detail

    - #### setSize

          public final void setSize(java.awt.Dimension size)

      Overrides:
        `setSize` in class `java.awt.Component`
      Parameters:
        `size` -

    - #### setSize

          public final void setSize(int x,
                     int y)

      Overrides:
        `setSize` in class `java.awt.Component`
      Parameters:
        `x` -
        `y` -

    - #### addActionListener

          public void addActionListener(java.awt.event.ActionListener l)

      Parameters:
        `l` -

    - #### setActionCommand

          public void setActionCommand(java.lang.String s)

      Parameters:
        `s` -

    - #### getSource

          public javax.swing.JButton getSource()

      Returns:

    - #### requestFocusInWindow

          public boolean requestFocusInWindow()

      Overrides:
        `requestFocusInWindow` in class `java.awt.Component`
      Returns:

    - #### addMouseListener

          public void addMouseListener(java.awt.event.MouseListener arg0)

      Overrides:
        `addMouseListener` in class `java.awt.Component`
      Parameters:
        `arg0` -

    - #### getText

          public java.lang.String getText()

      Returns:

    - #### setText

          public void setText(java.lang.String in)

      Parameters:
        `in` -

    - #### addHelpHandler

          protected void addHelpHandler(boolean hoverListener)

      Description copied from class: `LHelpComponent`
      Adds a help handler to each GUI component that should trigger the help panel to update.
      Specified by:
        `addHelpHandler` in class `LHelpComponent`
      Parameters:
        `hoverListener` -

    - #### setFocusable

          public void setFocusable(boolean focusable)

      Overrides:
        `setFocusable` in class `java.awt.Component`

    - #### addFocusListener

          public void addFocusListener(java.awt.event.FocusListener l)

      Overrides:
        `addFocusListener` in class `java.awt.Component`

    - #### clearActionHandlers

          public void clearActionHandlers()